### Virtual Method

# Foundry Config dup_config_opts

#### Declaration [src]

    char**
    dup_config_opts (
      FoundryConfig* self
    )

#### Description [src]

The config options.

This is generally passed to something like `meson setup` or `cmake` when configuring the project for a build.

#### Return value

Type: An array of `utf8`

The config options for configuring the project.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.